Universal Links

RSS for tag

Allow your users to intelligently follow links to content in your app or to your website using universal links.

Posts under Universal Links tag

200 Posts

Post

Replies

Boosts

Views

Activity

Universal Links AASA - not updating on device
Hi all, I wonder if anyone can shed any light or tips on this. We have our iOS app which is just for iPhone at the moment. I have some universal links that are currently working. I have added another '/mobileAppQuickLink' into the file and updated on our site in the '.well-known' folder location. The issue I am having is, all of the links before the additional one mentioned above are working. Steps Checked Checked https://app-site-association.cdn-apple.com/a/v1/OUR_DOMAIN to make sure the latest AASA file is there, it is. Checked the sysdiagnosis package logs and can see in the 'swcutil_show.txt' that only the original three are there for the app and not the final one. Reinstalled the app multiple time to bring down the AASA, no luck. Wiped a device and reset, downloaded the app again, no luck. The code below is the AASA file with our app ID redacted. I have triple checked these and they haven't changed from the previous. "applinks": { "details": [ { "appIDs": [ "A646R8---.com.REDACTED.REDACTED" ], "components": [ { "#": "no_universal_links", "exclude": true, "comment": "Matches any URL with a fragment that equals no_universal_links and instructs the system not to open it as a universal link." }, { "/": "/client/*", "comment": "Matches any URL with a path that starts with /client/." }, { "/": "/files/*", "comment": "Matches any URL with a path that starts with /files/." }, { "/": "/signingRequests/*", "comment": "Matches any URL with a path that starts with /signingRequests/." }, { "/": "/mobileAppQuickLink" //MISSING ON DEVICE } ] } ] }, "webcredentials": { "apps": [ "A646R8----com.REDACTED.REDACTED" ] } } Below is a copy of one of the 'swcutil_show.txt' from a device. App ID: A646R8----.com.REDACTED.REDACTED App Version: 1.1.70 App PI: <LSPersistentIdentifier 0x88c027a80> { v = 0, t = 0x8, u = 0x548, db = 514601C3-79C8-47C6-A178-B09AF5C-----, {length = 8, bytes = 0x4805000000000000} } Domain: *.portal.staging.REDACTED.REDACTED Patterns: {"#":"no_universal_links","exclude":true}, {"/":"/client/*"}, {"/":"/files/*"}, {"/":"/signingRequests/*"} User Approval: unspecified Site/Fmwk Approval: approved Flags: Last Checked: 2024-08-04 09:44:07 +0000 Next Check: 2024-08-09 09:39:26 +0000 Does anyone know of any reason this could be? It looks like the devices maybe getting a cached version.
2
0
1.4k
Aug ’24
How do I get the Universal Link to redirect to my Capacitor iOS app? SWCErrorDomain error 8
I'm running my Capacitor app on my iPad on Developer mode and I haven't been able to get the Universal Link working. https://my-domain.com//.well-known/apple-app-site-association in browser and via curl correctly returns the file. running sudo swcutil dl -d https://my-domain.com --verbose returns SWCErrorDomain 8 { Domain: "<_SWCDomain 0x600002c92d80> https", Line: "532", Function: "-[SWCDownloader(Private) _downloadAASAFileForDomain:applicationIdentifier:downloadRoute:discretionary:completionHandlers:]_block_invoke" } I made my way down through here: <https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links#Host-and-verify-your-AASA> I continued onto the next section, but swcutil_show.txt file doesn't list my app even after uninstalling and re-deploying the app. Any help is appreciated!
2
1
1.4k
Aug ’24
Deeplinking to Shortcut Automation Tab and Prepopulating values.
I'm able to deep link to the Automation tab in Shortcuts App using : shortcuts://create-automation. But I want to preselect a predefined automation (like bluetooth / nfc) and profile some parameters along with it, like Name of the automation shortcut to select When / Trigger point for the automation shortcut Do / what should happen on tuning the shortcut Thanks !
0
0
836
Aug ’24
Universal links app-site-association file were not downloading in iOS
Hi Team , I'm currently working on universal links. iOS application is build with react-native framework Steps I did to achieve the universal links Step 1 : Created an app-site-association file My AASA file format : "applinks": { "details": [ { "appIDs": [ "TEAMID.BUNDLEID" ], "components": [ { "/": "*", "?": { "$web_only": "true" }, "exclude": true }, { "/": "*", "?": { "%24web_only": "true" }, "exclude": true }, { "/": "/e/*", "exclude": true }, { "/": "*", }, { "/": "/", } ] } ] } } Step 2 : I have hosted the app-site-association file in .well-known path https://staging.***.com/.well-known/apple-app-site-association Step 3 : I have enabled associated domains and added applinks in Entitlements also <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd"> <plist version="1.0"> <dict> <key>com.apple.developer.associated-domains</key> <array> <string>applinks:staging.***.com</string> </array> <key>com.apple.developer.networking.multicast</key> <true/> <key>com.apple.developer.networking.wifi-info</key> <true/> </dict> </plist> Step 4 : https://app-site-association.cdn-apple.com/a/v1/staging.***.com With the above apple cdn url , I can able to see the app-site-association file which I hosted in https://staging.***.com/.well-known/apple-app-site-association path. Step 5 : I have checked the console of phone with Xcode -> Devices -> Console When my application trying to down the AASA file from my server , I got this below error : swcd : Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 "Failed to get associated domain data from ManagedConfiguration framework." UserInfo={NSDebugDescription=Failed to get associated domain data from ManagedConfiguration framework., Line=298, Function=} swcd : Developer mode enabled: NO Kindly help me to resolve this issue Thanks in advance.
1
0
2.1k
Aug ’24
Universal links & redirect not working on certain devices
We are currently doing our beta testing for our application and we are having some issues with universal links. The issues can be seen below: we are using auth0 for authentication. In this process, after users verify their email addresses they should be redirected back to the application. For some users, they are directed back to a page that shows error 404. For other users where it works, they are directed back to the application. What could be my issue? Our app-site- association file is hosted in the link below for reference. https://yourmomentshub.com/.well-known/apple-app-site-association
6
0
2.0k
Aug ’24
Recommended way for an app to launch into the App Store
While searching I've seen more than one url form used for launching from an app into the iPhone's App Store app. Both of these work, but is one preferred to the other, if so why, or are they exactly equivalent? let appStoreLink1 = "https://itunes.apple.com/us/app/apple-store/idNNNNN?mt=8" let appStoreLink2 = "https://apps.apple.com/us/app/name-of-app/idNNNNN" if let url = URL(string: appStoreLink1 or appStoreLink2), UIApplication.shared.canOpenURL(url) { UIApplication.shared.open(url, options: [:], completionHandler: {(success: Bool) in ...
1
0
816
Aug ’24
Confused between custom URL schemes and Universal linking and redirecting to the app store
I have a requirement to launch an app from another app (there is no requirement to launch the app from a website), and if its not installed then for the user to be redirected to the app store to download the app. The app already has a custom url scheme implemented, however the documentation and tutorials in this area are confusing and unclear. In order to launch the app, the custom url scheme will provide that, however, in order to get the redirection to the app store then firstly does the custom url scheme have to be replaced with universal links? Secondly, is it necessary to have a webpage that links to the app store? Is it possible to get this behaviour without having a website? Is it the case that Apple doesn't provide this functionality and developers have to have the hassle of hosting a website purely just for the sake of redirecting to the App Store?
1
0
1.5k
Aug ’24
Issue with deep linking in iOS applications
Issue: We are currently experiencing an issue with deep linking in iOS applications when Microsoft Edge is set as the default browser on the device. Users, upon receiving an invitation link in their mail and attempting to open the app (if installed) via the link, encounter a problem where the Edge browser opens the app store as a popover. However, it's important to note that this URL functions correctly with Safari. Attempts So far: The integration of deep linking in iOS has been correctly implemented. I have also verified the Apple App Site Association (AASA), which is deployed on the backend site, facilitating redirection to the application on mobile. Testing the same scenario with other browsers revealed that this link does not work with Chrome, Brave, and Edge, excluding Safari. Reviewing the Deep Link URL, it complies with the safe link policy. Removing the safe link policy from the URL and attempting to open it in Edge and other browsers results in seamless functionality. I have tested the safe link with the Amazon product, It’s not working with the Edge browser. I have raised the same concern with Microsoft Learn, Microsoft Community, and Stack Overflow. For reference, I am attaching the safe link (Non-working) and the normal link (Working Link) with this story. **Non-Working Link: ** https://nam12.safelinks.protection.outlook.com/?url=https%3A%2F%2F<SITELINK (Eg.xxx.yyy.com)>.%2FteamDay%3FteamDayId%3DHTWmmt7cmYyd7LawwhMq5%2BMyNt%2Bf8eUCz25pzmsTUMo%3D%26domainUrl%3Dhttps%3A%2F%2Fxxx.dev.com&data=05%7C02%7C%40%7Cb6ffab414d034bbceb0108dbfd382f0c%7C454af8f364734bce8aa5f9403e1d1271%7C0%7C0%7C638382189984623308%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=B5rzVQ0alWjIsT7ycI2oZrNjeVPM%2BeoMk0YDpMZk6q4%3D&reserved=0 Working Link: https://xxx.yyysoftware.com/teamDay?teamDayId=p0RQIAsd4vaTk1yHGuTUdBCDmP0ZK1CuR8Q3JfSPJvU=&domainUrl=https://xxx.dev.com
0
1
1.2k
Jul ’24
scene(_:continue:) not invoked
Hi all, I recently migrated our app from AppDelegate to SceneDelegate in order to make it available on visionOS. So far it is working, but I have a problem with Universal links not being invoked. I implemented: func scene(_ scene: UIScene, continue userActivity: NSUserActivity) in my Scene Delegate, but it doesn't get invoked after the system opens the app. This only happens, if the app is running in the background. If the app is not running and is launched by the OS, I receive the URL as expected in: func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) If I also implement: func scene(_ scene: UIScene, willContinueUserActivityWithType userActivityType: String) it will be invoked by the OS, but after willContinueUserActivityWithType was called, neither: func scene(_ scene: UIScene, didFailToContinueUserActivityWithType userActivityType: String, error: any Error) nor: func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) are being invoked by the OS. I made a simple Barebones project with the same Bundle ID and the same Entitlements and there: func scene(_ scene: UIScene, continue userActivity: NSUserActivity) is being invoked as expected, upon tapping on the Universal Link in another app. What might be the difference between the two projects causing this behaviour? It is a rather big and old app, so it is difficult for me to compare the simple example project to the real project. Does anybody know, where I could start to debug? Many thanks in advance!
1
0
1.2k
Jul ’24
Why does my universal links not work??
I implemented a universal link according to this guidance. https://developer.apple.com/videos/play/wwdc2019/717 However, my universal links seem to never work. apple-app-site-association https://hajimenavi.web.app/.well-known/apple-app-site-association Xcode settings The link I am trying to open https://hajimenavi.web.app/familyId/ZBEJSJXyPNT7G team id I validated with apple's analyzation that the server has no problem (with Setting app>Developer>Universal Links analysis. What else should I check?? I am wasting a whole day with this. Please please help.
5
1
1.5k
Jun ’24
AASA file not being downloaded, returning error
Hi Apple, We have been using Associated Domains and Universal Linking for years now, without any problem. Recently, users began having problems accessing the app through Universal Links. A quick look in the swcutil_show.txt file (through Analytics gathering in the sysdiagnose) at what the system tried to download revealed that the Apple Server had issues downloading our AASA file: Error Domain=SWCErrorDomain Code=7 "SWCERR00101 Bad HTTP Response: 502 Bad Gateway -- {"status":"502 Bad Gateway"}" UserInfo={Line=275, Function=-[SWCDownloader URLSession:dataTask:didReceiveResponse:completionHandler:], NSDebugDescription=SWCERR00101 Bad HTTP Response: 502 Bad Gateway -- {"status":"502 Bad Gateway"}, UnderlyingError=Error Domain=HTTP Code=404 "(null)" UserInfo={Line=275, Function=-[SWCDownloader URLSession:dataTask:didReceiveResponse:completionHandler:]}} I was wondering if there was ANY way of knowing what cause the 404? Thanks!
3
0
1.1k
Jun ’24
Universal Link with query parameter
Hi guys! I'm using a universal link to match with iOS and Android. I'm trying to open my app when user clicks in a link like this: https://mywebsite.com/?invite=TI878IU I've tried many different ways to create the file apple-app-site-association. But any of them I could use this parameter directly. Do you have any guidance in how I could do that? This is my file: { "applinks": { "apps": [], "details": [ { "appIDs": [ "ABC12345AB.com.example.app" ], "paths": [ "*" ], "components": [ { "/": "/*", "comment": "Matches any URL with a fragment parameters to open it as universal link" }, { "/": "/privacy.html", "exclude": true, "comment": "Matches any URL with a path that starts with /help/website/ and instructs the system not to open it as a universal link." } ] } ] } }
3
0
2.6k
Jun ’24
National domains
I have a punycode link of the following type: https://xn--d1aqf.xn--p1ai/.However, clicking on this link, or opening it through the simulator, opens the page in the browser, not in the application. The system does not see that this domain is present in one of the applications, however, any other domain (example.com , for example), is validated by the system. What could this be related to?
0
0
663
Jun ’24
Do Universal Links work when the link is wrapped by another link?
Hello, I work for an email marketing company where we send emails through SendGrid. The links go to ebay.com. SendGrid will wrap the links for click tracking purposes, so instead of the link appearing as https://www.ebay.com, it will be something like https://u99798501.ctc.sendgrid.net/... which will then redirect to eBay. We've noticed that when clicking on these SendGrid-tracked links that redirect to eBay, the links do not open in the eBay app, even though we have the eBay app installed. They will instead open up in Safari. Clicking on the https://www.ebay.com links without the wrapping will open in the links in the eBay app. This makes me think that the URL being wrapped by another URL is preventing Universal Links (links opening in the app) from working. However, we're pretty sure this did work at one point. Does anyone know the status of Universal Links with wrapped URLs? Did it change recently? The iOS version that we tested with is 17.5.1. We are opening links from the iOS Gmail app. Thank you!
2
0
824
Jun ’24
Custom Domain deeplink
My SampleApp, named "myApp," already supports deep links such as "https://myApp.com/tab/record/10020." When this link is clicked, it navigates to myApp, and AppDelegate handles the further process. Now, I need to support another link (domain), "https://appcloud.com/tab/record/10020," so that clicking this link also navigates to myApp. Is there any way to solve this kind of problem without adding "apple-app-site-association"?
1
0
870
Jun ’24
Universal links redirection issue when user credentials are auto filled and auto submitted on iOS
Hello, My App use OIDC for user authentication and universal linking for redirection from browser to App. When user use autofill to enter credentials, sometime autosubmits happens automatically and after successfully login user sticks in the web. No redirection in the App happens in this situation. Could you please look into it? In my view universal linking/redirection should work even on autosubmit.
1
0
749
Jun ’24
Universal link for another app from another developer
Hi, Can a single domain serve a /.well-known/apple-app-site-association file for multiple apps from different developers? We currently have our own domain, let's say example.com, which serves https://example.com/.well-known/apple-app-site-association which lists our app, let's say "ABCDEFG.com.example.AppA" for path "/app/a". We're talking with another developer who has another app on the store. Can we add their app, "MNOPQR.com.different.AppB" on our site, https://example.com/.well-known/apple-app-site-association, add their app ID for path "/app/b", ask them to add our example.com domain in their associated-domains entitlement, and would it work? I mean would https://example.com/app/a open our app "ABCDEFG.com.example.AppA" and https://example.com/app/b open their app "MNOPQR.com.different.AppB" ? We want to open https://example.com/redirect/app redirect to either /app/a or /app/b depending on the query parameters and launch our or their app. Thanks in advance!
1
0
1.1k
Jun ’24
Universal Links without Password AutoFill
I've setup applinks for Universal Links purposes on my app. But I noticed that setting up applinks also sets up Password AutoFill. Upon logging in I don't want my users to be prompted to Save Password because of the way we use our subdomains. How can I disable Password AutoFill while retaining Universal Links capability, and without disabling secureTextEntry on my UITextField?
1
0
1.1k
Jun ’24
Universal Links AASA - not updating on device
Hi all, I wonder if anyone can shed any light or tips on this. We have our iOS app which is just for iPhone at the moment. I have some universal links that are currently working. I have added another '/mobileAppQuickLink' into the file and updated on our site in the '.well-known' folder location. The issue I am having is, all of the links before the additional one mentioned above are working. Steps Checked Checked https://app-site-association.cdn-apple.com/a/v1/OUR_DOMAIN to make sure the latest AASA file is there, it is. Checked the sysdiagnosis package logs and can see in the 'swcutil_show.txt' that only the original three are there for the app and not the final one. Reinstalled the app multiple time to bring down the AASA, no luck. Wiped a device and reset, downloaded the app again, no luck. The code below is the AASA file with our app ID redacted. I have triple checked these and they haven't changed from the previous. "applinks": { "details": [ { "appIDs": [ "A646R8---.com.REDACTED.REDACTED" ], "components": [ { "#": "no_universal_links", "exclude": true, "comment": "Matches any URL with a fragment that equals no_universal_links and instructs the system not to open it as a universal link." }, { "/": "/client/*", "comment": "Matches any URL with a path that starts with /client/." }, { "/": "/files/*", "comment": "Matches any URL with a path that starts with /files/." }, { "/": "/signingRequests/*", "comment": "Matches any URL with a path that starts with /signingRequests/." }, { "/": "/mobileAppQuickLink" //MISSING ON DEVICE } ] } ] }, "webcredentials": { "apps": [ "A646R8----com.REDACTED.REDACTED" ] } } Below is a copy of one of the 'swcutil_show.txt' from a device. App ID: A646R8----.com.REDACTED.REDACTED App Version: 1.1.70 App PI: <LSPersistentIdentifier 0x88c027a80> { v = 0, t = 0x8, u = 0x548, db = 514601C3-79C8-47C6-A178-B09AF5C-----, {length = 8, bytes = 0x4805000000000000} } Domain: *.portal.staging.REDACTED.REDACTED Patterns: {"#":"no_universal_links","exclude":true}, {"/":"/client/*"}, {"/":"/files/*"}, {"/":"/signingRequests/*"} User Approval: unspecified Site/Fmwk Approval: approved Flags: Last Checked: 2024-08-04 09:44:07 +0000 Next Check: 2024-08-09 09:39:26 +0000 Does anyone know of any reason this could be? It looks like the devices maybe getting a cached version.
Replies
2
Boosts
0
Views
1.4k
Activity
Aug ’24
How do I get the Universal Link to redirect to my Capacitor iOS app? SWCErrorDomain error 8
I'm running my Capacitor app on my iPad on Developer mode and I haven't been able to get the Universal Link working. https://my-domain.com//.well-known/apple-app-site-association in browser and via curl correctly returns the file. running sudo swcutil dl -d https://my-domain.com --verbose returns SWCErrorDomain 8 { Domain: "<_SWCDomain 0x600002c92d80> https", Line: "532", Function: "-[SWCDownloader(Private) _downloadAASAFileForDomain:applicationIdentifier:downloadRoute:discretionary:completionHandlers:]_block_invoke" } I made my way down through here: <https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links#Host-and-verify-your-AASA> I continued onto the next section, but swcutil_show.txt file doesn't list my app even after uninstalling and re-deploying the app. Any help is appreciated!
Replies
2
Boosts
1
Views
1.4k
Activity
Aug ’24
Deeplinking to Shortcut Automation Tab and Prepopulating values.
I'm able to deep link to the Automation tab in Shortcuts App using : shortcuts://create-automation. But I want to preselect a predefined automation (like bluetooth / nfc) and profile some parameters along with it, like Name of the automation shortcut to select When / Trigger point for the automation shortcut Do / what should happen on tuning the shortcut Thanks !
Replies
0
Boosts
0
Views
836
Activity
Aug ’24
Universal links app-site-association file were not downloading in iOS
Hi Team , I'm currently working on universal links. iOS application is build with react-native framework Steps I did to achieve the universal links Step 1 : Created an app-site-association file My AASA file format : "applinks": { "details": [ { "appIDs": [ "TEAMID.BUNDLEID" ], "components": [ { "/": "*", "?": { "$web_only": "true" }, "exclude": true }, { "/": "*", "?": { "%24web_only": "true" }, "exclude": true }, { "/": "/e/*", "exclude": true }, { "/": "*", }, { "/": "/", } ] } ] } } Step 2 : I have hosted the app-site-association file in .well-known path https://staging.***.com/.well-known/apple-app-site-association Step 3 : I have enabled associated domains and added applinks in Entitlements also <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd"> <plist version="1.0"> <dict> <key>com.apple.developer.associated-domains</key> <array> <string>applinks:staging.***.com</string> </array> <key>com.apple.developer.networking.multicast</key> <true/> <key>com.apple.developer.networking.wifi-info</key> <true/> </dict> </plist> Step 4 : https://app-site-association.cdn-apple.com/a/v1/staging.***.com With the above apple cdn url , I can able to see the app-site-association file which I hosted in https://staging.***.com/.well-known/apple-app-site-association path. Step 5 : I have checked the console of phone with Xcode -> Devices -> Console When my application trying to down the AASA file from my server , I got this below error : swcd : Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 "Failed to get associated domain data from ManagedConfiguration framework." UserInfo={NSDebugDescription=Failed to get associated domain data from ManagedConfiguration framework., Line=298, Function=} swcd : Developer mode enabled: NO Kindly help me to resolve this issue Thanks in advance.
Replies
1
Boosts
0
Views
2.1k
Activity
Aug ’24
Universal links & redirect not working on certain devices
We are currently doing our beta testing for our application and we are having some issues with universal links. The issues can be seen below: we are using auth0 for authentication. In this process, after users verify their email addresses they should be redirected back to the application. For some users, they are directed back to a page that shows error 404. For other users where it works, they are directed back to the application. What could be my issue? Our app-site- association file is hosted in the link below for reference. https://yourmomentshub.com/.well-known/apple-app-site-association
Replies
6
Boosts
0
Views
2.0k
Activity
Aug ’24
Recommended way for an app to launch into the App Store
While searching I've seen more than one url form used for launching from an app into the iPhone's App Store app. Both of these work, but is one preferred to the other, if so why, or are they exactly equivalent? let appStoreLink1 = "https://itunes.apple.com/us/app/apple-store/idNNNNN?mt=8" let appStoreLink2 = "https://apps.apple.com/us/app/name-of-app/idNNNNN" if let url = URL(string: appStoreLink1 or appStoreLink2), UIApplication.shared.canOpenURL(url) { UIApplication.shared.open(url, options: [:], completionHandler: {(success: Bool) in ...
Replies
1
Boosts
0
Views
816
Activity
Aug ’24
Confused between custom URL schemes and Universal linking and redirecting to the app store
I have a requirement to launch an app from another app (there is no requirement to launch the app from a website), and if its not installed then for the user to be redirected to the app store to download the app. The app already has a custom url scheme implemented, however the documentation and tutorials in this area are confusing and unclear. In order to launch the app, the custom url scheme will provide that, however, in order to get the redirection to the app store then firstly does the custom url scheme have to be replaced with universal links? Secondly, is it necessary to have a webpage that links to the app store? Is it possible to get this behaviour without having a website? Is it the case that Apple doesn't provide this functionality and developers have to have the hassle of hosting a website purely just for the sake of redirecting to the App Store?
Replies
1
Boosts
0
Views
1.5k
Activity
Aug ’24
Issue with deep linking in iOS applications
Issue: We are currently experiencing an issue with deep linking in iOS applications when Microsoft Edge is set as the default browser on the device. Users, upon receiving an invitation link in their mail and attempting to open the app (if installed) via the link, encounter a problem where the Edge browser opens the app store as a popover. However, it's important to note that this URL functions correctly with Safari. Attempts So far: The integration of deep linking in iOS has been correctly implemented. I have also verified the Apple App Site Association (AASA), which is deployed on the backend site, facilitating redirection to the application on mobile. Testing the same scenario with other browsers revealed that this link does not work with Chrome, Brave, and Edge, excluding Safari. Reviewing the Deep Link URL, it complies with the safe link policy. Removing the safe link policy from the URL and attempting to open it in Edge and other browsers results in seamless functionality. I have tested the safe link with the Amazon product, It’s not working with the Edge browser. I have raised the same concern with Microsoft Learn, Microsoft Community, and Stack Overflow. For reference, I am attaching the safe link (Non-working) and the normal link (Working Link) with this story. **Non-Working Link: ** https://nam12.safelinks.protection.outlook.com/?url=https%3A%2F%2F<SITELINK (Eg.xxx.yyy.com)>.%2FteamDay%3FteamDayId%3DHTWmmt7cmYyd7LawwhMq5%2BMyNt%2Bf8eUCz25pzmsTUMo%3D%26domainUrl%3Dhttps%3A%2F%2Fxxx.dev.com&data=05%7C02%7C%40%7Cb6ffab414d034bbceb0108dbfd382f0c%7C454af8f364734bce8aa5f9403e1d1271%7C0%7C0%7C638382189984623308%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=B5rzVQ0alWjIsT7ycI2oZrNjeVPM%2BeoMk0YDpMZk6q4%3D&reserved=0 Working Link: https://xxx.yyysoftware.com/teamDay?teamDayId=p0RQIAsd4vaTk1yHGuTUdBCDmP0ZK1CuR8Q3JfSPJvU=&domainUrl=https://xxx.dev.com
Replies
0
Boosts
1
Views
1.2k
Activity
Jul ’24
scene(_:continue:) not invoked
Hi all, I recently migrated our app from AppDelegate to SceneDelegate in order to make it available on visionOS. So far it is working, but I have a problem with Universal links not being invoked. I implemented: func scene(_ scene: UIScene, continue userActivity: NSUserActivity) in my Scene Delegate, but it doesn't get invoked after the system opens the app. This only happens, if the app is running in the background. If the app is not running and is launched by the OS, I receive the URL as expected in: func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) If I also implement: func scene(_ scene: UIScene, willContinueUserActivityWithType userActivityType: String) it will be invoked by the OS, but after willContinueUserActivityWithType was called, neither: func scene(_ scene: UIScene, didFailToContinueUserActivityWithType userActivityType: String, error: any Error) nor: func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) are being invoked by the OS. I made a simple Barebones project with the same Bundle ID and the same Entitlements and there: func scene(_ scene: UIScene, continue userActivity: NSUserActivity) is being invoked as expected, upon tapping on the Universal Link in another app. What might be the difference between the two projects causing this behaviour? It is a rather big and old app, so it is difficult for me to compare the simple example project to the real project. Does anybody know, where I could start to debug? Many thanks in advance!
Replies
1
Boosts
0
Views
1.2k
Activity
Jul ’24
Why does my universal links not work??
I implemented a universal link according to this guidance. https://developer.apple.com/videos/play/wwdc2019/717 However, my universal links seem to never work. apple-app-site-association https://hajimenavi.web.app/.well-known/apple-app-site-association Xcode settings The link I am trying to open https://hajimenavi.web.app/familyId/ZBEJSJXyPNT7G team id I validated with apple's analyzation that the server has no problem (with Setting app>Developer>Universal Links analysis. What else should I check?? I am wasting a whole day with this. Please please help.
Replies
5
Boosts
1
Views
1.5k
Activity
Jun ’24
AASA file not being downloaded, returning error
Hi Apple, We have been using Associated Domains and Universal Linking for years now, without any problem. Recently, users began having problems accessing the app through Universal Links. A quick look in the swcutil_show.txt file (through Analytics gathering in the sysdiagnose) at what the system tried to download revealed that the Apple Server had issues downloading our AASA file: Error Domain=SWCErrorDomain Code=7 "SWCERR00101 Bad HTTP Response: 502 Bad Gateway -- {"status":"502 Bad Gateway"}" UserInfo={Line=275, Function=-[SWCDownloader URLSession:dataTask:didReceiveResponse:completionHandler:], NSDebugDescription=SWCERR00101 Bad HTTP Response: 502 Bad Gateway -- {"status":"502 Bad Gateway"}, UnderlyingError=Error Domain=HTTP Code=404 "(null)" UserInfo={Line=275, Function=-[SWCDownloader URLSession:dataTask:didReceiveResponse:completionHandler:]}} I was wondering if there was ANY way of knowing what cause the 404? Thanks!
Replies
3
Boosts
0
Views
1.1k
Activity
Jun ’24
Universal Link with query parameter
Hi guys! I'm using a universal link to match with iOS and Android. I'm trying to open my app when user clicks in a link like this: https://mywebsite.com/?invite=TI878IU I've tried many different ways to create the file apple-app-site-association. But any of them I could use this parameter directly. Do you have any guidance in how I could do that? This is my file: { "applinks": { "apps": [], "details": [ { "appIDs": [ "ABC12345AB.com.example.app" ], "paths": [ "*" ], "components": [ { "/": "/*", "comment": "Matches any URL with a fragment parameters to open it as universal link" }, { "/": "/privacy.html", "exclude": true, "comment": "Matches any URL with a path that starts with /help/website/ and instructs the system not to open it as a universal link." } ] } ] } }
Replies
3
Boosts
0
Views
2.6k
Activity
Jun ’24
National domains
I have a punycode link of the following type: https://xn--d1aqf.xn--p1ai/.However, clicking on this link, or opening it through the simulator, opens the page in the browser, not in the application. The system does not see that this domain is present in one of the applications, however, any other domain (example.com , for example), is validated by the system. What could this be related to?
Replies
0
Boosts
0
Views
663
Activity
Jun ’24
Do Universal Links work when the link is wrapped by another link?
Hello, I work for an email marketing company where we send emails through SendGrid. The links go to ebay.com. SendGrid will wrap the links for click tracking purposes, so instead of the link appearing as https://www.ebay.com, it will be something like https://u99798501.ctc.sendgrid.net/... which will then redirect to eBay. We've noticed that when clicking on these SendGrid-tracked links that redirect to eBay, the links do not open in the eBay app, even though we have the eBay app installed. They will instead open up in Safari. Clicking on the https://www.ebay.com links without the wrapping will open in the links in the eBay app. This makes me think that the URL being wrapped by another URL is preventing Universal Links (links opening in the app) from working. However, we're pretty sure this did work at one point. Does anyone know the status of Universal Links with wrapped URLs? Did it change recently? The iOS version that we tested with is 17.5.1. We are opening links from the iOS Gmail app. Thank you!
Replies
2
Boosts
0
Views
824
Activity
Jun ’24
Custom Domain deeplink
My SampleApp, named "myApp," already supports deep links such as "https://myApp.com/tab/record/10020." When this link is clicked, it navigates to myApp, and AppDelegate handles the further process. Now, I need to support another link (domain), "https://appcloud.com/tab/record/10020," so that clicking this link also navigates to myApp. Is there any way to solve this kind of problem without adding "apple-app-site-association"?
Replies
1
Boosts
0
Views
870
Activity
Jun ’24
Universal links redirection issue when user credentials are auto filled and auto submitted on iOS
Hello, My App use OIDC for user authentication and universal linking for redirection from browser to App. When user use autofill to enter credentials, sometime autosubmits happens automatically and after successfully login user sticks in the web. No redirection in the App happens in this situation. Could you please look into it? In my view universal linking/redirection should work even on autosubmit.
Replies
1
Boosts
0
Views
749
Activity
Jun ’24
Universal link for another app from another developer
Hi, Can a single domain serve a /.well-known/apple-app-site-association file for multiple apps from different developers? We currently have our own domain, let's say example.com, which serves https://example.com/.well-known/apple-app-site-association which lists our app, let's say "ABCDEFG.com.example.AppA" for path "/app/a". We're talking with another developer who has another app on the store. Can we add their app, "MNOPQR.com.different.AppB" on our site, https://example.com/.well-known/apple-app-site-association, add their app ID for path "/app/b", ask them to add our example.com domain in their associated-domains entitlement, and would it work? I mean would https://example.com/app/a open our app "ABCDEFG.com.example.AppA" and https://example.com/app/b open their app "MNOPQR.com.different.AppB" ? We want to open https://example.com/redirect/app redirect to either /app/a or /app/b depending on the query parameters and launch our or their app. Thanks in advance!
Replies
1
Boosts
0
Views
1.1k
Activity
Jun ’24
Universal Links without Password AutoFill
I've setup applinks for Universal Links purposes on my app. But I noticed that setting up applinks also sets up Password AutoFill. Upon logging in I don't want my users to be prompted to Save Password because of the way we use our subdomains. How can I disable Password AutoFill while retaining Universal Links capability, and without disabling secureTextEntry on my UITextField?
Replies
1
Boosts
0
Views
1.1k
Activity
Jun ’24